#!/usr/bin/env python3

import ROOT as r

r.gSystem.Load("lib/libMyLib.so")
r.gInterpreter.AddIncludePath("include")
r.gInterpreter.ProcessLine('#include "myCode.h"')

vx = r.std.vector["double"]()
vy = r.std.vector["double"]()
vz = r.std.vector["double"]()

for i in range(3):
    vx.push_back(float(i))
    vy.push_back(float(i))
    vz.push_back(float(i))

t = r.TTree("myTree","myTree")
t.Branch("x", vx)
t.Branch("y", vy)
t.Branch("z", vz)

for i in range(3):
    t.Fill()

df = r.RDataFrame(t)

df = df.Define("v","make_vector(x,y,z)")

df.Snapshot("myTree","myFile.root")